Bug 590035 - error opening config file '/root/.pangorc': Permission denied
error opening config file '/root/.pangorc': Permission denied
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 11:04 EDT by jmccann
Modified: 2015-01-14 18:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:10:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmccann 2010-05-07 11:04:16 EDT
Description of problem:
At shutdown and reboot we get the following text message displayed to the screen:

(process 2838): Pango-WARNING **: error opening config file '/root/.pangorc': Permission denied

That file doesn't exist so a permission denied messages sounds like selinux to me.

Version-Release number of selected component (if applicable):
selinux-policy-3.7.19-13.fc13.noarch
plymouth-0.8.2-2.fc13.i686
Comment 1 Daniel Walsh 2010-05-07 11:23:58 EDT
Most likely.  What process wants to read /root/.pangorc?  Is this a gnome config file?
Comment 2 xl 2010-05-07 22:41:03 EDT
I have the same problem in Fedora 12.
selinux-policy-targeted-3.6.32-113.fc12.noarch
plymouth-0.8.2-2.fc12.x86_64
Comment 3 Ray Strode [halfline] 2010-05-10 13:21:10 EDT
What's going on is initscripts runs

plymouth message --test="Shutting Down..."

or whatever, which causes plymouthd to load pango.  pango apparently implicitly reads ~/.pangorc and plymouthd is running as root.

So there are a few nuggets to this issue.

1) We probably don't want "Restarting..." and "Shutting Down..." messages for graphical splashes.  They're sort of their accidentally because we need them for text splashes (but maybe they're okay, not sure)

2) $HOME should probably be explicitly set to something sensible for daemon.

3) selinux should probably allow plymouthd to read the file.

3 is the easy fix
Comment 4 Daniel Walsh 2010-05-10 13:58:43 EDT
Are you seeing any avc messages?  Probably not since /root access is dontaudited.

I think the only policy we have confining plymouth is on plymouthd not plymouth.

semanage permissive -a plymouthd_t 

Would allow plymouthd_t to have permissive access.  If this eliminates the error, we know we have to allow plymouthd_t to read /root files.
Comment 5 Daniel Walsh 2010-05-10 13:59:53 EDT
Added this access in selinux-policy-3.7.19-15.fc13.noarch
Comment 6 Ray Strode [halfline] 2010-05-12 20:27:20 EDT
yea to be clear, it's plymouthd using pango. plymouth is just a small program that forwards commands to plymouthd.

really plymouthd shouldn't need to read /root files, but it's easiest to just allow it i guess. thanks for the fix.
Comment 7 Fedora Admin XMLRPC Client 2010-11-08 16:51:28 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2010-11-08 16:52:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2010-11-08 16:55:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Bug Zapper 2011-06-02 10:22:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 12:10:15 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.